Summary: A GTK+ based front-end for CD rippers and MP3 encoders.
Name: grip
Version: 2.6
Release: 1
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.ling.ed.ac.uk/~oliphant/grip/grip-2.6.tgz
Source1: http://www.xiph.org/paranoia/download/cdparanoia-III-alpha9.6.src.tgz
URL: http://www.ling.ed.ac.uk/~oliphant/grip
#Icon: gripicon.gif
Buildroot: /var/tmp/%{name}-root

%description
Grip is a GTK+ based front-end for CD rippers (such as cdparanoia and
cdda2wav) and MP3 encoders.  Grip allows you to rip entire tracks or
just a section of a track.  Grip supports the CDDB protocol for
accessing track information on disc database servers.

%prep 
%setup -q -b 1

cd $RPM_BUILD_DIR/grip-%{version}

ln -sf ../cdparanoia-III-alpha9.6 cdparanoia

cd -

%build
#build the stuff in the cdparanoia src dir so that grip can build
cd ../cdparanoia-III-alpha9.6/
./configure
make
make lib

cd - 

#now build grip against the cdparanoia stuff
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib}

make PREFIX=$RPM_BUILD_ROOT/usr install

strip -s $RPM_BUILD_ROOT/usr/bin/grip
strip -s $RPM_BUILD_ROOT/usr/bin/gcd

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc CREDITS README LICENSE TODO gripicon.tif gcdicon.tif
/usr/bin/grip
/usr/bin/gcd
/usr/lib/grip/gcd.rc
/usr/lib/grip/grip.rc

%changelog
* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.6

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- updated grip source
- included cdparanoia source, builds during the build routine so
  we can have a complete grip build
- and all were happy when it twas built for 6.1

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
